@font-face{
     font-family: VCR;
     src:url("https://villy.neocities.org/fonts/vcr.ttf") format("truetype");
}

* {
    font-family: VCR;
}

h1 {
  color: white;
  text-align: center;
  text-shadow: 2px 2px 5px black;
  margin: 0 auto 30px;
}

h2 {
    text-align: center;
    color: black;
    text-shadow: 0px 0px 10px white, 1px 0px 1px red, -1px 0px red, 0px -1px 1px blue, 0px 1px 1px blue;

}

h3 {
    color: black;
    text-align: center;
    text-decoration: underline dotted;
    text-shadow: 0px 0px 10px white, -1px 0px 1px white, 1px 0px 1px white, 0px -1px 1px white, 0px 1px 1px white;
}




.maincontent {
  color: black;
  text-align: justify;
  margin: 15px auto;
  width: 60%;
  border: 5px;
  padding: 10px;
  left: 250px;
  top: anchor(h1);
  position: sticky;
  background-color: rgba(250, 250, 250, 0.65);
}

.sidebar{
    display: flex;
    flex-flow: column wrap;
    justify-content: space-evenly;
    align-items: center baseline;
    border-radius: 5px;
    padding: 15px;
    top: 80px;
    left: 30px;
    position: fixed;
}

.sidebartitle {
    flex-wrap: wrap;
    align-self: anchor-center;
    align-content: center;
    padding: 5px;
}

.sidebarcontainer {
  padding: 5px;
  border-radius: 5px;
  width: 150px;
  font-family: VCR;
  background-color: rgba(250, 250, 250, 0.75);
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: stretch center;
  justify-content: space-evenly;  
}



.About {
  color:rgb(0, 0, 0);
  background-color: rgba(137, 115, 99, 0.75);
  text-align: center;
  border-radius: 5px;
  margin: 5px;
  padding: 10px;
}
.About:hover {
    color:rgb(255, 255, 255);
    background-color: rgba(59, 49, 42, 0.75);   
}

.Media {
  color:rgb(0, 0, 0);
  background-color: rgba(137, 115, 99, 0.75);
  text-align: center;
  border-radius: 5px;
  margin: 5px;
  padding: 10px;
}
.Media:hover {
    color:rgb(255, 255, 255);
    background-color: rgba(59, 49, 42, 0.75);   
}

.Characters {
  color:rgb(0, 0, 0);
  background-color: rgba(137, 115, 99, 0.75);
  text-align: center;
  border-radius: 5px;
  margin: 5px;
  padding: 10px;
}

.Characters:hover {
    color:rgb(255, 255, 255);
    background-color: rgba(59, 49, 42, 0.75); 
}

.Analysis{
  color:rgb(0, 0, 0);
  background-color: rgba(137, 115, 99, 0.75);
  text-align: center;
  border-radius: 5px;
  margin: 5px;
  padding: 10px;
}

.Analysis:hover {
    color:rgb(255, 255, 255);
    background-color: rgba(59, 49, 42, 0.75); 
}

.Miscellaneous{
  color:rgb(0, 0, 0);
  background-color: rgba(137, 115, 99, 0.75);
  text-align: center;
  border-radius: 5px;
  margin: 5px;
  padding: 10px;
}

.Miscellaneous:hover {
    color:rgb(255, 255, 255);
    background-color: rgba(59, 49, 42, 0.75); 
}

.navcontainer {
    position: fixed;
    right: 50px;
    top: 100px;
    text-align: center;
    justify-content: space-evenly;
    align-content: center;
    align-items: center;
    padding: 5px;
    

}
.navigation {
    list-style: none;
    margin: 0px;
    padding: 0px;
    width: 100px;
    background-color: rgba(71, 55, 45, 1);
    border-radius: 5px;
}

.navigation li a {
    display: block;
    border-radius: 5px;
    color:white;
    padding: 8px 16px;
    text-align: center;
    text-decoration: none;
}

.navigation li a:hover {
    background-color: rgba(195, 150, 122, 1);
    color:black
}



body {
   cursor: url("https://villy.neocities.org/images/cameracursor.gif"), auto;
  color: rgb(255, 255, 255);
  background-image: url(https://villy.neocities.org/background/entrance_jameson.jpg);
    background-size: cover;
  background-position: 0% 20%
}



body.About {
    background-image: url(https://villy.neocities.org/background/entrance_side.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

body.Characters {
    background-image: 
        linear-gradient(rgba(0,0,0,1), rgba(255,255,255,0)), url(https://villy.neocities.org/background/gazebo.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

body.Analysis {
    background-image: url(/https://villy.neocities.org/background/dark_corridor.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.footer {
  position: static;
  left: 0px;
  bottom: 0px;
  width: 100%;
  margin: 0px;
  padding: 0px;
  background-color: #473B38;
  color: white;
  text-align: center;
  align-content: center baseline;
  min-width: 0px;
  flex-shrink: -1;
  overflow: hidden;
}


 .carousel {
    min-width: 0px;
    display: flex;
    animation: scroll 20s linear infinite;
    width: max-content;
    height: max-content;
 }
 .carousel img {
    flex-shrink: 0; 
    }
 @keyframes scroll {
         0% {
        transform: translateX(0);
           }
            100% {
        transform: translateX(-50%);
                }
              }